> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Round Results

> Round results



## OpenAPI

````yaml get /rounds/{round_id}/results
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /rounds/{round_id}/results:
    get:
      tags:
        - rounds
      summary: Get Round Results
      description: Round results
      operationId: get_round_results_rounds__round_id__results_get
      parameters:
        - name: round_id
          in: path
          required: true
          schema:
            type: string
            title: Round Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RoundResultsEndGetResponse'
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    RoundResultsEndGetResponse:
      properties:
        type:
          type: string
          title: Type
        message:
          type: string
          title: Message
        place:
          anyOf:
            - type: integer
            - type: 'null'
          title: Place
        is_winner:
          type: boolean
          title: Is Winner
        question_start:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Question Start
        question_end:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Question End
        countdown:
          anyOf:
            - type: integer
            - type: 'null'
          title: Countdown
        question:
          $ref: '#/components/schemas/RoundQuestionItemGetResponse'
        item:
          $ref: '#/components/schemas/UnifiedItemRoundResponse'
        users:
          items:
            $ref: '#/components/schemas/RoundQuestionUserGetResponse'
          type: array
          title: Users
        certificate:
          anyOf:
            - $ref: '#/components/schemas/RoundQuestionCertificateGetResponse'
            - type: 'null'
        round_id:
          type: string
          title: Round Id
        is_private:
          type: boolean
          title: Is Private
      type: object
      required:
        - type
        - message
        - is_winner
        - question
        - item
        - users
        - round_id
        - is_private
      title: RoundResultsEndGetResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RoundQuestionItemGetResponse:
      properties:
        id:
          type: integer
          title: Id
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        countdown:
          type: integer
          title: Countdown
          default: 30
        question_start:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Question Start
        question_end:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Question End
        question_text:
          type: string
          title: Question Text
        picture_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Picture Url
        question_type:
          type: string
          title: Question Type
        answers:
          items:
            $ref: '#/components/schemas/RoundQuestionItemAnswerGetResponse'
          type: array
          title: Answers
        category_theme:
          $ref: '#/components/schemas/RoundQuestionCategoryThemeGetResponse'
        certificate:
          anyOf:
            - $ref: '#/components/schemas/RoundQuestionCertificateGetResponse'
            - type: 'null'
        round_id:
          type: string
          title: Round Id
        is_private:
          type: boolean
          title: Is Private
        end_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: End Time
      type: object
      required:
        - id
        - question_text
        - question_type
        - answers
        - category_theme
        - round_id
        - is_private
      title: RoundQuestionItemGetResponse
    UnifiedItemRoundResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Sku
        platform_price:
          type: number
          title: Platform Price
        assets:
          anyOf:
            - items:
                $ref: '#/components/schemas/UnifiedItemRoundAssetResponse'
              type: array
            - type: 'null'
          title: Assets
          default: []
        duration:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration
        meeting_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Meeting Link
        meeting_password:
          anyOf:
            - type: string
            - type: 'null'
          title: Meeting Password
        meeting_platform:
          anyOf:
            - type: string
            - type: 'null'
          title: Meeting Platform
        event_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Event Type
        short_desc:
          anyOf:
            - type: string
            - type: 'null'
          title: Short Desc
        detail_desc:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail Desc
        participants_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Participants Limit
        category:
          anyOf:
            - $ref: '#/components/schemas/ProductCategoryGetResponse'
            - type: 'null'
        store:
          $ref: '#/components/schemas/ProductUpcomingRoundStoreGetResponse'
        location:
          anyOf:
            - $ref: '#/components/schemas/UnifiedLocationResponse'
            - type: 'null'
        attribute_values:
          anyOf:
            - items:
                $ref: '#/components/schemas/GroupedAttributeValue'
              type: array
            - type: 'null'
          title: Attribute Values
          default: []
        format_price:
          type: string
          title: Format Price
          readOnly: true
      type: object
      required:
        - id
        - name
        - platform_price
        - store
        - format_price
      title: UnifiedItemRoundResponse
    RoundQuestionUserGetResponse:
      properties:
        id:
          type: string
          title: Id
        username:
          type: string
          title: Username
        avatar_url:
          type: string
          title: Avatar Url
        is_correct:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Correct
        total_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Total Time
      type: object
      required:
        - id
        - username
        - avatar_url
      title: RoundQuestionUserGetResponse
    RoundQuestionCertificateGetResponse:
      properties:
        id:
          type: string
          title: Id
        text:
          type: string
          title: Text
        discount_percent:
          type: integer
          title: Discount Percent
      type: object
      required:
        - id
        - text
        - discount_percent
      title: RoundQuestionCertificateGetResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    RoundQuestionItemAnswerGetResponse:
      properties:
        id:
          type: integer
          title: Id
        text:
          type: string
          title: Text
        is_correct:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Correct
      type: object
      required:
        - id
        - text
      title: RoundQuestionItemAnswerGetResponse
    RoundQuestionCategoryThemeGetResponse:
      properties:
        name:
          type: string
          title: Name
        emoji:
          anyOf:
            - type: string
            - type: 'null'
          title: Emoji
        category:
          $ref: '#/components/schemas/RoundQuestionCategoryGetResponse'
      type: object
      required:
        - name
        - category
      title: RoundQuestionCategoryThemeGetResponse
    UnifiedItemRoundAssetResponse:
      properties:
        name:
          type: string
          title: Name
        path:
          type: string
          title: Path
        type:
          type: string
          title: Type
        sort_order:
          type: integer
          title: Sort Order
        is_primary:
          type: boolean
          title: Is Primary
      type: object
      required:
        - name
        - path
        - type
        - sort_order
        - is_primary
      title: UnifiedItemRoundAssetResponse
    ProductCategoryGetResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: ProductCategoryGetResponse
    ProductUpcomingRoundStoreGetResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        is_blogger:
          type: boolean
          title: Is Blogger
        seller_type:
          type: string
          title: Seller Type
          readOnly: true
      type: object
      required:
        - id
        - name
        - is_blogger
        - seller_type
      title: ProductUpcomingRoundStoreGetResponse
    UnifiedLocationResponse:
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        address:
          type: string
          title: Address
        latitude:
          type: string
          title: Latitude
        longitude:
          type: string
          title: Longitude
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
      type: object
      required:
        - address
        - latitude
        - longitude
      title: UnifiedLocationResponse
    GroupedAttributeValue:
      properties:
        id:
          type: integer
          title: Id
        key_name:
          type: string
          title: Key Name
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        need_to_choose:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Need To Choose
        choices:
          items:
            $ref: '#/components/schemas/AttributeValueChoice'
          type: array
          title: Choices
      type: object
      required:
        - id
        - key_name
        - name
        - type
        - choices
      title: GroupedAttributeValue
    RoundQuestionCategoryGetResponse:
      properties:
        name:
          type: string
          title: Name
      type: object
      required:
        - name
      title: RoundQuestionCategoryGetResponse
    AttributeValueChoice:
      properties:
        id:
          type: integer
          title: Id
        value:
          type: string
          title: Value
        value_hex:
          anyOf:
            - type: string
            - type: 'null'
          title: Value Hex
      type: object
      required:
        - id
        - value
      title: AttributeValueChoice
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````